Bug 40881 - FILESAVE: Drawings saved in FlatXML have wrong mimetype "drawing" instead of "graphics" (so that reopen in Formula Editor)
Summary: FILESAVE: Drawings saved in FlatXML have wrong mimetype "drawing" instead of ...
Status: CLOSED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.1 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 37178 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-09-14 07:43 UTC by inpost
Modified: 2013-11-24 22:30 UTC (History)
3 users (show)

See Also:


Attachments
test file in ODG format (9.12 KB, application/vnd.oasis.opendocument.graphics)
2011-09-15 12:47 UTC, Alex Thurgood
Details
test file in flat XML ODG (29.54 KB, application/vnd.oasis.opendocument.graphics-flat-xml)
2011-09-15 12:47 UTC, Alex Thurgood
Details
test (22.93 KB, application/vnd.oasis.opendocument.graphics-flat-xml)
2011-09-15 13:41 UTC, inpost
Details
picture (78.08 KB, image/png)
2011-09-15 13:42 UTC, inpost
Details
picture2 (31.99 KB, image/png)
2011-09-15 13:43 UTC, inpost
Details
picture of maths editor (24.38 KB, image/png)
2011-09-19 07:28 UTC, inpost
Details
document created in m$ (22.86 KB, application/vnd.oasis.opendocument.graphics-flat-xml)
2011-09-19 07:30 UTC, inpost
Details

Note You need to log in before you can comment on or make changes to this bug.
Description inpost 2011-09-14 07:43:10 UTC
As reported in the mailing list (http://listarchives.libreoffice.org/global/users/msg11014.html), drawing file was created and saved as flat xml (see below). After closing and reopening LO, the file opens as an empty maths editor
dialogue window!

Also note that the namespaces refer to openoffice which are not active.

<?xml version="1.0" encoding="UTF-8"?>

 <office:document
 xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
 xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
 xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
 xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
 xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
 xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
 xmlns:xlink="http://www.w3.org/1999/xlink";
 xmlns:dc="http://purl.org/dc/elements/1.1/";
 xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
 xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
 xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0"
 xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
 xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
 xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
 xmlns:math="http://www.w3.org/1998/Math/MathML";
 xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
 xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
 xmlns:config="urn:oasis:names:tc:opendocument:xmlns:config:1.0"
 xmlns:ooo="http://openoffice.org/2004/office";
 xmlns:ooow="http://openoffice.org/2004/writer";
 xmlns:oooc="http://openoffice.org/2004/calc";
 xmlns:dom="http://www.w3.org/2001/xml-events";
 xmlns:xforms="http://www.w3.org/2002/xforms";
 xmlns:xsd="http://www.w3.org/2001/XMLSchema";
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance";
 xmlns:smil="urn:oasis:names:tc:opendocument:xmlns:smil-compatible:1.0"
 xmlns:anim="urn:oasis:names:tc:opendocument:xmlns:animation:1.0"
 xmlns:rpt="http://openoffice.org/2005/report";
 xmlns:of="urn:oasis:names:tc:opendocument:xmlns:of:1.2"
 xmlns:xhtml="http://www.w3.org/1999/xhtml";
 xmlns:grddl="http://www.w3.org/2003/g/data-view#";
 xmlns:officeooo="http://openoffice.org/2009/office";
 xmlns:tableooo="http://openoffice.org/2009/table";
 xmlns:drawooo="http://openoffice.org/2010/draw";
 xmlns:field="urn:openoffice:names:experimental:ooo-ms-interop:xmlns:field:1.0"
 xmlns:formx="urn:openoffice:names:experimental:ooxml-odf-interop:xmlns:form:1.0"
 xmlns:css3t="http://www.w3.org/TR/css3-text/"; office:version="1.2"
 office:mimetype="application/vnd.oasis.opendocument.drawing">
 <office:meta><meta:initial-creator>r
 </meta:initial-creator><meta:creation-date>2011-09-12T23:27:54</meta:creation-date><meta:document-statistic
 meta:object-count="2"/><meta:generator>LibreOffice/3.4$Linux
 LibreOffice_project/340m1$Build-103</meta:generator></office:meta>
 <office:settings>
 <config:config-item-set config:name="ooo:view-settings">
 <config:config-item config:name="VisibleAreaTop"
 config:type="int">0</config:config-item>
 <config:config-item config:name="VisibleAreaLeft"
 config:type="int">0</config:config-item>
 <config:config-item config:name="VisibleAreaWidth"
 config:type="int">14099</config:config-item>
 <config:config-item config:name="VisibleAreaHeight"
 config:type="int">9999</config:config-item>
 <config:config-item-map-indexed config:name="Views">
 <config:config-item-map-entry>
 <config:config-item config:name="ViewId"
 config:type="string">view1</config:config-item>
 <config:config-item config:name="GridIsVisible"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="GridIsFront"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsSnapToGrid"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsSnapToPageMargins"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsSnapToSnapLines"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsSnapToObjectFrame"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsSnapToObjectPoints"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsPlusHandlesAlwaysVisible"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsFrameDragSingles"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="EliminatePolyPointLimitAngle"
 config:type="int">1500</config:config-item>
 <config:config-item config:name="IsEliminatePolyPoints"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="VisibleLayers"
 config:type="base64Binary">//////////////////////////////////////////8=</config:config-item>
 <config:config-item config:name="PrintableLayers"
 config:type="base64Binary">//////////////////////////////////////////8=</config:config-item>
 <config:config-item config:name="LockedLayers" config:type="base64Binary"/>
 <config:config-item config:name="NoAttribs"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="NoColors"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="RulerIsVisible"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="PageKind"
 config:type="short">0</config:config-item>
 <config:config-item config:name="SelectedPage"
 config:type="short">0</config:config-item>
 <config:config-item config:name="IsLayerMode"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsBigHandles"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsDoubleClickTextEdit"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsClickChangeRotation"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="SlidesPerRow"
 config:type="short">4</config:config-item>
 <config:config-item config:name="EditModeStandard"
 config:type="int">0</config:config-item>
 <config:config-item config:name="EditModeNotes"
 config:type="int">0</config:config-item>
 <config:config-item config:name="EditModeHandout"
 config:type="int">1</config:config-item>
 <config:config-item config:name="VisibleAreaTop"
 config:type="int">-454</config:config-item>
 <config:config-item config:name="VisibleAreaLeft"
 config:type="int">-13683</config:config-item>
 <config:config-item config:name="VisibleAreaWidth"
 config:type="int">49138</config:config-item>
 <config:config-item config:name="VisibleAreaHeight"
 config:type="int">31071</config:config-item>
 <config:config-item config:name="GridCoarseWidth"
 config:type="int">1000</config:config-item>
 <config:config-item config:name="GridCoarseHeight"
 config:type="int">1000</config:config-item>
 <config:config-item config:name="GridFineWidth"
 config:type="int">500</config:config-item>
 <config:config-item config:name="GridFineHeight"
 config:type="int">500</config:config-item>
 <config:config-item config:name="GridSnapWidthXNumerator"
 config:type="int">500</config:config-item>
 <config:config-item config:name="GridSnapWidthXDenominator"
 config:type="int">1</config:config-item>
 <config:config-item config:name="GridSnapWidthYNumerator"
 config:type="int">500</config:config-item>
 <config:config-item config:name="GridSnapWidthYDenominator"
 config:type="int">1</config:config-item>
 <config:config-item config:name="IsAngleSnapEnabled"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="SnapAngle"
 config:type="int">1500</config:config-item>
 <config:config-item config:name="ZoomOnPage"
 config:type="boolean">true</config:config-item>
 </config:config-item-map-entry>
 </config:config-item-map-indexed>
 </config:config-item-set>
 <config:config-item-set config:name="ooo:configuration-settings">
 <config:config-item config:name="ApplyUserData"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="BitmapTableURL"
 config:type="string">$(user)/config/standard.sob</config:config-item>
 <config:config-item config:name="CharacterCompressionType"
 config:type="short">0</config:config-item>
 <config:config-item config:name="ColorTableURL"
 config:type="string">$(user)/config/standard.soc</config:config-item>
 <config:config-item config:name="DashTableURL"
 config:type="string">$(user)/config/standard.sod</config:config-item>
 <config:config-item config:name="DefaultTabStop"
 config:type="int">1250</config:config-item>
 <config:config-item config:name="GradientTableURL"
 config:type="string">$(user)/config/standard.sog</config:config-item>
 <config:config-item config:name="HatchTableURL"
 config:type="string">$(user)/config/standard.soh</config:config-item>
 <config:config-item config:name="IsKernAsianPunctuation"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsPrintBooklet"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsPrintBookletBack"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsPrintBookletFront"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsPrintDate"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsPrintFitPage"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsPrintHiddenPages"
 config:type="boolean">true</config:config-item>
 <config:config-item config:name="IsPrintPageName"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsPrintTilePage"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="IsPrintTime"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="LineEndTableURL"
 config:type="string">$(user)/config/standard.soe</config:config-item>
 <config:config-item config:name="LoadReadonly"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="MeasureUnit"
 config:type="short">3</config:config-item>
 <config:config-item config:name="PageNumberFormat"
 config:type="int">4</config:config-item>
 <config:config-item config:name="ParagraphSummation"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="PrintQuality"
 config:type="int">0</config:config-item>
 <config:config-item config:name="PrinterIndependentLayout"
 config:type="string">low-resolution</config:config-item>
 <config:config-item config:name="PrinterName" config:type="string"/>
 <config:config-item config:name="PrinterSetup" config:type="base64Binary"/>
 <config:config-item config:name="SaveVersionOnClose"
 config:type="boolean">false</config:config-item>
 <config:config-item config:name="ScaleDenominator"
 config:type="int">1</config:config-item>
 <config:config-item config:name="ScaleNumerator"
 config:type="int">1</config:config-item>
 <config:config-item config:name="UpdateFromTemplate"
 config:type="boolean">true</config:config-item>
 </config:config-item-set>
 </office:settings>
 <office:scripts>
 <office:script script:language="ooo:Basic">
 <ooo:libraries xmlns:ooo="http://openoffice.org/2004/office";
 xmlns:xlink="http://www.w3.org/1999/xlink"/>
 </office:script>
 </office:scripts>
 <office:styles>
 <draw:marker draw:name="Arrow" svg:viewBox="0 0 20 30" svg:d="m10
 0-10 30h20z"/>
 <style:default-style style:family="graphic">
 <style:graphic-properties fo:wrap-option="no-wrap"/>
 <style:paragraph-properties style:text-autospace="ideograph-alpha"
 style:punctuation-wrap="simple" style:line-break="strict"
 style:writing-mode="lr-tb"
 style:font-independent-line-spacing="false">
 <style:tab-stops/>
 </style:paragraph-properties>
 <style:text-properties style:use-window-font-color="true"
 fo:font-family="&apos;Liberation Serif&apos;"
 style:font-family-generic="roman" style:font-pitch="variable"
 fo:font-size="24pt" fo:language="en" fo:country="GB"
 style:font-family-asian="&apos;DejaVu Sans&apos;"
 style:font-family-generic-asian="system"
 style:font-pitch-asian="variable" style:font-size-asian="24pt"
 style:language-asian="zh" style:country-asian="CN"
 style:font-family-complex="&apos;DejaVu Sans&apos;"
 style:font-family-generic-complex="system"
 style:font-pitch-complex="variable" style:font-size-complex="24pt"
 style:language-complex="hi" style:country-complex="IN"/>
 </style:default-style>
 <style:style style:name="standard" style:family="graphic">
 <style:graphic-properties draw:stroke="solid"
 svg:stroke-width="0cm" svg:stroke-color="#808080"
 draw:marker-start-width="0.2cm" draw:marker-start-center="false"
 draw:marker-end-width="0.2cm" draw:marker-end-center="false"
 draw:fill="solid" draw:fill-color="#cfe7e5"
 draw:textarea-horizontal-align="justify" fo:padding-top="0.125cm"
 fo:padding-bottom="0.125cm" fo:padding-left="0.25cm"
 fo:padding-right="0.25cm" draw:shadow="hidden"
 draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm"
 draw:shadow-color="#808080">
 <text:list-style style:name="standard">
 <text:list-level-style-bullet text:level="1" text:bullet-char="●">
 <style:list-level-properties text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="2" text:bullet-char="●">
 <style:list-level-properties text:space-before="0.6cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="3" text:bullet-char="●">
 <style:list-level-properties text:space-before="1.2cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="4" text:bullet-char="●">
 <style:list-level-properties text:space-before="1.8cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="5" text:bullet-char="●">
 <style:list-level-properties text:space-before="2.4cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="6" text:bullet-char="●">
 <style:list-level-properties text:space-before="3cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="7" text:bullet-char="●">
 <style:list-level-properties text:space-before="3.6cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="8" text:bullet-char="●">
 <style:list-level-properties text:space-before="4.2cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="9" text:bullet-char="●">
 <style:list-level-properties text:space-before="4.8cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 <text:list-level-style-bullet text:level="10" text:bullet-char="●">
 <style:list-level-properties text:space-before="5.4cm"
 text:min-label-width="0.6cm"/>
 <style:text-properties fo:font-family="StarSymbol"
 style:use-window-font-color="true" fo:font-size="45%"/>
 </text:list-level-style-bullet>
 </text:list-style>
 </style:graphic-properties>
 <style:paragraph-properties fo:margin-left="0cm"
 fo:margin-right="0cm" fo:margin-top="0cm" fo:margin-bottom="0cm"
 fo:line-height="100%" fo:text-indent="0cm"/>
 <style:text-properties style:use-window-font-color="true"
 style:text-outline="false" style:text-line-through-style="none"
 fo:font-family="&apos;Liberation Sans&apos;"
 style:font-family-generic="roman" style:font-pitch="variable"
 fo:font-size="18pt" fo:font-style="normal" fo:text-shadow="none"
 style:text-underline-style="none" fo:font-weight="normal"
 style:letter-kerning="true" style:font-family-asian="&apos;DejaVu
 Sans&apos;" style:font-family-generic-asian="system"
 style:font-pitch-asian="variable" style:font-size-asian="18pt"
 style:font-style-asian="normal" style:font-weight-asian="normal"
 style:font-family-complex="&apos;DejaVu Sans&apos;"
 style:font-family-generic-complex="system"
 style:font-pitch-complex="variable" style:font-size-complex="18pt"
 style:font-style-complex="normal" style:font-weight-complex="normal"
 style:text-emphasize="none" style:font-relief="none"
 style:text-overline-style="none"
 style:text-overline-color="font-color"/>
 </style:style>
 <style:style style:name="objectwitharrow" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="solid"
 svg:stroke-width="0.15cm" svg:stroke-color="#000000"
 draw:marker-start="Arrow" draw:marker-start-width="0.7cm"
 draw:marker-start-center="true" draw:marker-end-width="0.3cm"/>
 </style:style>
 <style:style style:name="objectwithshadow" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:shadow="visible"
 draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm"
 draw:shadow-color="#808080"/>
 </style:style>
 <style:style style:name="objectwithoutfill" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties svg:stroke-color="#000000" draw:fill="none"/>
 </style:style>
 <style:style style:name="text" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 </style:style>
 <style:style style:name="textbody" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 <style:text-properties fo:font-size="16pt"/>
 </style:style>
 <style:style style:name="textbodyjustfied" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 <style:paragraph-properties fo:text-align="justify"/>
 </style:style>
 <style:style style:name="textbodyindent" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 <style:paragraph-properties fo:margin-left="0cm"
 fo:margin-right="0cm" fo:text-indent="0.6cm"/>
 </style:style>
 <style:style style:name="title" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 <style:text-properties fo:font-size="44pt"/>
 </style:style>
 <style:style style:name="title1" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="solid"
 draw:fill-color="#008080" draw:shadow="visible"
 draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm"
 draw:shadow-color="#808080"/>
 <style:paragraph-properties fo:text-align="center"/>
 <style:text-properties fo:font-size="24pt"/>
 </style:style>
 <style:style style:name="title2" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties svg:stroke-width="0.05cm"
 draw:fill-color="#ffcc99" draw:shadow="visible"
 draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm"
 draw:shadow-color="#808080"/>
 <style:paragraph-properties fo:margin-left="0cm"
 fo:margin-right="0.2cm" fo:margin-top="0.1cm" fo:margin-bottom="0.1cm"
 fo:text-align="center" fo:text-indent="0cm"/>
 <style:text-properties fo:font-size="36pt"/>
 </style:style>
 <style:style style:name="headline" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 <style:paragraph-properties fo:margin-top="0.42cm"
 fo:margin-bottom="0.21cm"/>
 <style:text-properties fo:font-size="24pt"/>
 </style:style>
 <style:style style:name="headline1" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 <style:paragraph-properties fo:margin-top="0.42cm"
 fo:margin-bottom="0.21cm"/>
 <style:text-properties fo:font-size="18pt" fo:font-weight="bold"/>
 </style:style>
 <style:style style:name="headline2" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="none" draw:fill="none"/>
 <style:paragraph-properties fo:margin-top="0.42cm"
 fo:margin-bottom="0.21cm"/>
 <style:text-properties fo:font-size="14pt" fo:font-style="italic"
 fo:font-weight="bold"/>
 </style:style>
 <style:style style:name="measure" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:stroke="solid"
 svg:stroke-color="#000000" draw:marker-start="Arrow"
 draw:marker-start-width="0.2cm" draw:marker-end="Arrow"
 draw:marker-end-width="0.2cm" draw:fill="none" draw:show-unit="true"/>
 <style:text-properties fo:font-size="12pt"/>
 </style:style>
 </office:styles>
 <office:automatic-styles>
 <style:page-layout style:name="PM0">
 <style:page-layout-properties fo:margin-top="1cm"
 fo:margin-bottom="1cm" fo:margin-left="1cm" fo:margin-right="1cm"
 fo:page-width="21cm" fo:page-height="29.7cm"
 style:print-orientation="portrait"/>
 </style:page-layout>
 <style:style style:name="dp1" style:family="drawing-page">
 <style:drawing-page-properties draw:background-size="border"
 draw:fill="none"/>
 </style:style>
 <style:style style:name="dp2" style:family="drawing-page"/>
 <style:style style:name="gr1" style:family="graphic"
 style:parent-style-name="standard">
 <style:graphic-properties draw:textarea-horizontal-align="justify"
 draw:textarea-vertical-align="middle" draw:auto-grow-height="false"/>
 </style:style>
 <style:style style:name="P1" style:family="paragraph">
 <style:paragraph-properties fo:text-align="center"/>
 </style:style>
 </office:automatic-styles>
 <office:master-styles>
 <draw:layer-set>
 <draw:layer draw:name="layout"/>
 <draw:layer draw:name="background"/>
 <draw:layer draw:name="backgroundobjects"/>
 <draw:layer draw:name="controls"/>
 <draw:layer draw:name="measurelines"/>
 </draw:layer-set>
 <style:master-page style:name="Default" style:page-layout-name="PM0"
 draw:style-name="dp1"/>
 </office:master-styles>
 <office:body>
 <office:drawing>
 <draw:page draw:name="page1" draw:style-name="dp2"
 draw:master-page-name="Default">
 <draw:custom-shape draw:style-name="gr1" draw:text-style-name="P1"
 draw:layer="layout" svg:width="3.5cm" svg:height="3.5cm" svg:x="8.5cm"
 svg:y="4cm">
 <text:p/>
 <draw:enhanced-geometry svg:viewBox="0 0 21600 21600"
 draw:glue-points="10800 0 0 10800 10800 21600 21600 10800"
 draw:text-areas="5400 5400 16200 16200" draw:type="diamond"
 draw:enhanced-path="M 10800 0 L 21600 10800 10800 21600 0 10800 10800
 0 Z N"/>
 </draw:custom-shape>
 <draw:custom-shape draw:style-name="gr1" draw:text-style-name="P1"
 draw:layer="layout" svg:width="6.5cm" svg:height="4cm" svg:x="8cm"
 svg:y="12.5cm">
 <text:p/>
 <draw:enhanced-geometry svg:viewBox="0 0 21600 21600"
 draw:glue-points="?f7 0 ?f6 ?f1 0 ?f10 ?f6 21600 ?f4 ?f10 21600 ?f9"
 draw:path-stretchpoint-x="10800" draw:path-stretchpoint-y="10800"
 draw:text-areas="0 ?f1 ?f4 ?f12" draw:type="cube"
 draw:modifiers="5400" draw:enhanced-path="M 0 ?f12 L 0 ?f1 ?f2 0 ?f11
 0 ?f11 ?f3 ?f4 ?f12 Z N M 0 ?f1 L ?f2 0 ?f11 0 ?f4 ?f1 Z N M ?f4 ?f12
 L ?f4 ?f1 ?f11 0 ?f11 ?f3 Z N">
 <draw:equation draw:name="f0" draw:formula="$0 "/>
 <draw:equation draw:name="f1" draw:formula="top+?f0 "/>
 <draw:equation draw:name="f2" draw:formula="left+?f0 "/>
 <draw:equation draw:name="f3" draw:formula="bottom-?f0 "/>
 <draw:equation draw:name="f4" draw:formula="right-?f0 "/>
 <draw:equation draw:name="f5" draw:formula="right-?f2 "/>
 <draw:equation draw:name="f6" draw:formula="?f5 /2"/>
 <draw:equation draw:name="f7" draw:formula="?f2 +?f6 "/>
 <draw:equation draw:name="f8" draw:formula="bottom-?f1 "/>
 <draw:equation draw:name="f9" draw:formula="?f8 /2"/>
 <draw:equation draw:name="f10" draw:formula="?f1 +?f9 "/>
 <draw:equation draw:name="f11" draw:formula="right"/>
 <draw:equation draw:name="f12" draw:formula="bottom"/>
 <draw:handle draw:handle-position="left $0"
 draw:handle-switched="true" draw:handle-range-y-minimum="0"
 draw:handle-range-y-maximum="21600"/>
 </draw:enhanced-geometry>
 </draw:custom-shape>
 </draw:page>
 </office:drawing>
 </office:body>
 </office:document>
Comment 1 Rainer Bielefeld Retired 2011-09-14 11:10:56 UTC
Can't tell how happy I am that the mishap did not happen with a vectorized "The Battle of Alexander at Issus" Picture - we would have had to read some lines in the report ;-)

@inpost@gmail.com:
May I ask you to read  hints on <http://wiki.documentfoundation.org/BugReport> carefully?
Then please:
- Write a meaningful Summary
- Attach a test kit containing sourc document and flat.xml 
- Attach screenshots with comments if you believe that that might explain the 
  problem better than a text comment (you can add information using LibO DRAW
  and then attach your screenshot with comments as PDF) if necessary, because
  you can not know what others will see with your sample
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem, how the flat.xml has been created 
  and how you opened it (and if possible how to created a 
  sample document from the scratch)
- add information 
  -- what exactly is unexpected
  -- and why do you believe it's unexpected (cite Help or Documentation!)
  -- concerning your PC 
  -- concerning your OS (Version, Distribution, Language)
  -- OS settings that might be related to your problem
  -- concerning your LibO version and localization (UI language)
  –- Libo settings that might be related to your problems 
  -- how you launch LibO and how you opened the sample document
  –- If you can contribute an OOo Issue that might be useful
  -- everything else crossing your mind after you read a.m. URL

May be you can test <http://wiki.documentfoundation.org/BugReport_Details> for submitting bug reports?

Please do not contribute such hundreds of lines xml als comment, but as attachment!

Please file Bug reports with status UNCONFIRMED if your are not absolutely sure that you contributed all required background information, that the problem will be reproducible with information you can provide or that your enhancement request will be accepted! 
Thank you!
Comment 2 inpost 2011-09-15 05:49:45 UTC
> - Attach a test kit containing source document and flat.xml 

This is not necessary; copy the xml to a text editor and save (e.g. /home/you/test.fodg
Comment 3 Alex Thurgood 2011-09-15 08:11:47 UTC
Rainer,

I tested this on Mac OSX with 3.3.4, 3.4.3 and daily build from master the day before yesterday and can confirm. However :

 - if I tried to open the file as *.fodg then it opened systematically in Writer

- only when I put a direct ODG extension on the filename did it open up in Math

- I could not get it to open in Draw at all.


Alex
Comment 4 Rainer Bielefeld Retired 2011-09-15 10:34:02 UTC
Please excuse me, but this report is not CONFIRMED due to
<http://wiki.documentfoundation.org/BugReport_Details#Whiteboard>

Before I think about that too much: The question we have to check first is whether that "selfcreated.xml" is something reporter's LibO3.3.1 should support. In my 3.4.3 I can't find any hint concerning flat XML support, what differs from my Master version. 

We have to find out whether this is a FILESAVE or FILEOPEN problem or both, and, and, and. 

So everything to start position!

The source code in the report differs dramatically from such I see in .fodg I create with my LibO Master, My documents.fodg will be recognized and opened with my master build, an fodg with reporter's content will not be recognized. So a question is whether something is wrong with reporter's document, and if yes why? and What?

@inpost@gmail.com 
Please contribute requested information instead of such ridiculous text editor advice.

@David:
In Help and Documentation available for me I can' find anything concerning flat.xml. Is your team already working on that (or has at least information what can be useful here)?

@Alex:
I am a little worried concerning the versions you mentioned in your report. Is it possible that MAC LibO supported flat xml before WIN? In Documentation " - Getting Started with LibreOffice 3.3 - Opening text documents" that will have to be listed.
Comment 5 David Nelson 2011-09-15 10:38:05 UTC
I don't have a clear answer to this question at the moment, but have bookmarked this bug and will forward it to the documentation list for attention as well.
Comment 6 Rainer Bielefeld Retired 2011-09-15 11:11:51 UTC
Might be (also) related to "Bug 31624 - Please associate Flat XML documents with LibreOffice by default install"
Comment 7 Alex Thurgood 2011-09-15 11:49:24 UTC
(In reply to comment #4)

Hi Rainer,

> 
> The source code in the report differs dramatically from such I see in .fodg I
> create with my LibO Master, My documents.fodg will be recognized and opened
> with my master build, an fodg with reporter's content will not be recognized.
> So a question is whether something is wrong with reporter's document, and if
> yes why? and What?
> 

Work on the  FlatXML filters occurred in January, see here for example :
http://lists.freedesktop.org/archives/libreoffice/2011-January/005623.html

Perhaps it is this work that is the cause of the current situation ? 

> 
> @David:
> In Help and Documentation available for me I can' find anything concerning
> flat.xml. Is your team already working on that (or has at least information
> what can be useful here)?

David will more than likely not have had anything (I know I certainly didn't see any associated documentation) because I doubt that it has been documented apart from via the developer list and the repos. Remember that this occurred at a time when there was a kind of developer frenzy free for all, and some things were just done.

> 
> @Alex:
> I am a little worried concerning the versions you mentioned in your report. Is
> it possible that MAC LibO supported flat xml before WIN? In Documentation " -
> Getting Started with LibreOffice 3.3 - Opening text documents" that will have
> to be listed.

My first thought would be whether you installed the extra filters in the optional or user customised installation because they are not installed by default on Windows. I seem to remember they come as a selectable option, but then maybe they didn't get built on Windows at all.

Certainly, FlatXML filters were available in OOo.


Alex
Comment 8 Alex Thurgood 2011-09-15 12:02:33 UTC
@inpost :

The XML you have posted here does not appear valid, no doubt due to line wrapping during the bug submission process or some weird interpretation by bugzilla (some of the closing tags appear to be missing). You really need to upload the flat xml file. I don't think I kept a copy on my Mac but will look tomorrow. As Rainer has indicated, if you had the file, why didn't you simply attach to the bug report, it would make the whole process much easier for us.


Alex
Comment 9 Alex Thurgood 2011-09-15 12:06:51 UTC
http://lists.freedesktop.org/archives/libreoffice/2011-January/005751.html

in which MM reminded the developer doing the work that there was a known bug linked to a file association problem with other flat xml formatted files. If this hasn't been fixed then it wouldn't really be surprising that the flat ODG file is not recognised by the correct application.

Alex
Comment 10 Alex Thurgood 2011-09-15 12:47:08 UTC
Created attachment 51244 [details]
test file in ODG format
Comment 11 Alex Thurgood 2011-09-15 12:47:51 UTC
Created attachment 51245 [details]
test file in flat XML ODG
Comment 12 Alex Thurgood 2011-09-15 12:53:04 UTC
I created the attached 2 files on LibreOffice 3.3.3,  
OOO330m19 (Build:301)
tag libreoffice-3.3.3.1, Ubuntu package 1:3.3.3-1ubuntu2

I can re-open the fodg file in LibreOffice and it is imported correctly.

@inpost : try and open this file in your own version of LibreOffice, and additionally, it would be good if you could compare the non-drawing element specific tags to see if there is a noticeable difference.

I will try and open my file on my Mac tomorrow.

Alex
Comment 13 Alex Thurgood 2011-09-15 13:07:57 UTC
@inpost : your XML has quite a few semi-colons which makes for an invalid file, where did these come from ?

Alex
Comment 14 inpost 2011-09-15 13:30:55 UTC
On 15/09/2011, bugzilla-daemon@freedesktop.org
<bugzilla-daemon@freedesktop.org> wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=40881
>
> Rainer Bielefeld <LibreOffice@bielefeldundbuss.de> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>          OS/Version|All                         |Mac OS X (All)
>   Status Whiteboard|CONFIRM                     |infoprovider: reporter,
>                    |                            |Alex
>            Keywords|                            |NEEDINFO
>                  CC|                            |alex.thurgood@gmail.com,
>                    |                            |commerce@traduction.biz
>
> --- Comment #4 from Rainer Bielefeld <LibreOffice@bielefeldundbuss.de>
> 2011-09-15 10:34:02 PDT ---
> Please excuse me, but this report is not CONFIRMED due to
> <http://wiki.documentfoundation.org/BugReport_Details#Whiteboard>
>
> Before I think about that too much: The question we have to check first is
> whether that "selfcreated.xml" is something reporter's LibO3.3.1 should
> support. In my 3.4.3 I can't find any hint concerning flat XML support, what
> differs from my Master version.
>

The xml is not self-created; it is a copy of the fodg file when opened
using a text editor.

> We have to find out whether this is a FILESAVE or FILEOPEN problem or both,
> and, and, and.
>
> So everything to start position!
>
> The source code in the report differs dramatically from such I see in .fodg
> I
> create with my LibO Master, My documents.fodg will be recognized and opened
> with my master build, an fodg with reporter's content will not be
> recognized.

Is this explained by the build versions shown in the xml?
Comment 15 inpost 2011-09-15 13:39:24 UTC
On 15/09/2011, bugzilla-daemon@freedesktop.org <bugzilla-
> tomorrow. As Rainer has indicated, if you had the file, why didn't you
> simply
> attach to the bug report, it would make the whole process much easier for
> us.
>
Didn't have the file, but consider as a difference of opinion that
adding the xml source in the message text seemed better to me. Anyway,
see attachments.
Comment 16 inpost 2011-09-15 13:41:31 UTC
Created attachment 51247 [details]
test
Comment 17 inpost 2011-09-15 13:42:58 UTC
Created attachment 51248 [details]
picture
Comment 18 inpost 2011-09-15 13:43:25 UTC
Created attachment 51249 [details]
picture2
Comment 19 inpost 2011-09-15 13:44:41 UTC
(In reply to comment #13)
> @inpost : your XML has quite a few semi-colons which makes for an invalid file,
> where did these come from ?
>

No idea, so repeated the test scenario; see attachments.
Comment 20 Alex Thurgood 2011-09-15 13:58:13 UTC
In the flat XML file I created I have the following additional specification
line:

grddl:transformation="http://docs.oasis-open.org/office/1.2/xslt/odf2rdf.xsl"

I also note the following differences between our two files :

Yours :
<office:meta><meta:initial-creator>r</meta:initial-creator>
<meta:creation-date>2011-09-12T23:27:54</meta:creation-date>
<meta:document-statistic
meta:object-count="2"/><meta:generator>LibreOffice/3.4$Linux
LibreOffice_project/340m1$Build-103</meta:generator></office:meta>

Mine :
   <office:meta>
      <meta:initial-creator>Alex Thurgood</meta:initial-creator>
      <meta:creation-date>2011-09-15T21:31:19</meta:creation-date>
      <dc:date>2011-09-15T21:42:18</dc:date>
      <dc:creator>Alex Thurgood</dc:creator>
      <meta:editing-duration>PT11M2S</meta:editing-duration>
      <meta:editing-cycles>1</meta:editing-cycles>
      <meta:generator>LibreOffice/3.3$Linux
LibreOffice_project/330m19$Build-301</meta:generator>
      <meta:document-statistic meta:object-count="1"/>
   </office:meta>

My config view settings :
<config:config-item-set config:name="ooo:view-settings">
         <config:config-item config:name="VisibleAreaTop"
config:type="int">-448</config:config-item>
         <config:config-item config:name="VisibleAreaLeft"
config:type="int">-15427</config:config-item>
         <config:config-item config:name="VisibleAreaWidth"
config:type="int">51840</config:config-item>
         <config:config-item config:name="VisibleAreaHeight"
config:type="int">30584</config:config-item>
         <config:config-item-map-indexed config:name="Views">


Not to mention a few missing terminal <config:config-item> tags.


Alex
Comment 21 Alex Thurgood 2011-09-15 13:59:17 UTC
BTW, I was making my comments based on the XML you posted in the mail, and you posted your files in the meantime, so I haven't had a chance to look at them yet.


Alex
Comment 22 inpost 2011-09-15 14:08:55 UTC
(In reply to comment #12)
> @inpost : try and open this file in your own version of LibreOffice, and
> additionally, it would be good if you could compare the non-drawing element
> specific tags to see if there is a noticeable difference.

I can confirm successful opening of these files. I viewed the flat xml file and the content xml file of the archive odg file; no significant difference.
Comment 23 Rainer Bielefeld Retired 2011-09-15 21:59:40 UTC
WOW, there has been collected a lot of new and more info, and I can confirm inpost's observation that .fodg documents get opened in Math by default (when I try from LibO file dialog), but only with my version 3.4.3 what does not support flat.xml. Alex's suspect concerning "extra filters option" sounds plausible, I will check that for WIN.

My results with attached test documents and WIN LibO Master: star.fodg will be opened as drawing from file dialog, what matches with my results from yesterday.

test.fodg will be opened as encoded text?!
Before we do further conclusion I would like to be sure that we only do tests with LibO created documents. Compatibility issues can be investigated in a second step.

@inpost:
Did I miss something or do we have no information how "test.fodg" has been created?
Comment 24 inpost 2011-09-16 01:39:46 UTC
> Did I miss something or do we have no information how "test.fodg" has been
> created?

All has been created using LO.
Comment 25 inpost 2011-09-19 02:19:21 UTC
What is the priority of resolving this bug please? It would be useful to know
Comment 26 Rainer Bielefeld Retired 2011-09-19 02:31:38 UTC
@inpost
Currently we even do not know what the bug is, because you deny useful information due to comment 1. Your small info crumbs do not help at all.

@Alex:
Currently the situation is really worrying. May be a first step might be to find out what LibO versions for what OS do support FLAT XML? Can you investigate?
Comment 27 inpost 2011-09-19 03:09:28 UTC
(In reply to comment #26)
> @inpost
> Currently we even do not know what the bug is, because you deny useful
> information due to comment 1. Your small info crumbs do not help at all.
> 

This is confusing because of your comment (number 23)???

This should be considered higher priority; it prevents use with version control
Comment 28 Rainer Bielefeld Retired 2011-09-19 04:09:39 UTC
With help of Fridrich I gained some information.

Reason for the problem is the wrong mimetype "drawing" instead of "graphics" in reporter's sample. I modified that in attached sample, afterwards I was able to open test.fodg without problems. 

That mimetype bug was in 3.4.0 ... 3.4.2 (AFAIK for all OS, and so I doubt that reporter's Version info is correct) and has been fixed for 3.4.

I close this bug report as FIXED due to test results.

Concerning other problems:
I did not have FlatXML support because I had not installed xslt filters, afterwards everything works fine.

My "Bug 40939 - : Unify default extensions / extras" is INVALID, no idea why that worked for 1 particular Master.

Concerning different problems we should open other bugs. 

@David:
A simple hint that xslt filters have to be installed for FlatXML in Help and Doku would be very useful for now.
Comment 29 David Nelson 2011-09-19 04:37:50 UTC
@Rainer: OK, I have taken note of this.
Comment 30 inpost 2011-09-19 07:27:35 UTC
Extract from original fodg file

 <office:meta><meta:creation-date>2011-09-09T14:00:35.75</meta:creation-date><meta:generator>LibreOffice/3.4$Win32 LibreOffice_project/340m1$Build-103</meta:generator><meta:document-statistic 

Previous files successfully opened occurred in gnu/linux. Reoccurrence of error found with above version.

See xml below and attachments.

<?xml version="1.0" encoding="UTF-8"?>

<office:document xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:config="urn:oasis:names:tc:opendocument:xmlns:config:1.0" xmlns:ooo="http://openoffice.org/2004/office" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:smil="urn:oasis:names:tc:opendocument:xmlns:smil-compatible:1.0" xmlns:anim="urn:oasis:names:tc:opendocument:xmlns:animation:1.0" xmlns:rpt="http://openoffice.org/2005/report" xmlns:of="urn:oasis:names:tc:opendocument:xmlns:of:1.2" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:grddl="http://www.w3.org/2003/g/data-view#" xmlns:officeooo="http://openoffice.org/2009/office" xmlns:tableooo="http://openoffice.org/2009/table" xmlns:drawooo="http://openoffice.org/2010/draw" xmlns:field="urn:openoffice:names:experimental:ooo-ms-interop:xmlns:field:1.0" xmlns:formx="urn:openoffice:names:experimental:ooxml-odf-interop:xmlns:form:1.0" xmlns:css3t="http://www.w3.org/TR/css3-text/" office:version="1.2" office:mimetype="application/vnd.oasis.opendocument.drawing">
 <office:meta><meta:creation-date>2011-09-19T15:22:01.29</meta:creation-date><meta:document-statistic meta:object-count="1"/><meta:generator>LibreOffice/3.4$Win32 LibreOffice_project/340m1$Build-103</meta:generator></office:meta>
 <office:settings>
  <config:config-item-set config:name="ooo:view-settings">
   <config:config-item config:name="VisibleAreaTop" config:type="int">0</config:config-item>
   <config:config-item config:name="VisibleAreaLeft" config:type="int">0</config:config-item>
   <config:config-item config:name="VisibleAreaWidth" config:type="int">14099</config:config-item>
   <config:config-item config:name="VisibleAreaHeight" config:type="int">9999</config:config-item>
   <config:config-item-map-indexed config:name="Views">
    <config:config-item-map-entry>
     <config:config-item config:name="ViewId" config:type="string">view1</config:config-item>
     <config:config-item config:name="GridIsVisible" config:type="boolean">false</config:config-item>
     <config:config-item config:name="GridIsFront" config:type="boolean">false</config:config-item>
     <config:config-item config:name="IsSnapToGrid" config:type="boolean">true</config:config-item>
     <config:config-item config:name="IsSnapToPageMargins" config:type="boolean">true</config:config-item>
     <config:config-item config:name="IsSnapToSnapLines" config:type="boolean">false</config:config-item>
     <config:config-item config:name="IsSnapToObjectFrame" config:type="boolean">false</config:config-item>
     <config:config-item config:name="IsSnapToObjectPoints" config:type="boolean">false</config:config-item>
     <config:config-item config:name="IsPlusHandlesAlwaysVisible" config:type="boolean">false</config:config-item>
     <config:config-item config:name="IsFrameDragSingles" config:type="boolean">true</config:config-item>
     <config:config-item config:name="EliminatePolyPointLimitAngle" config:type="int">1500</config:config-item>
     <config:config-item config:name="IsEliminatePolyPoints" config:type="boolean">false</config:config-item>
     <config:config-item config:name="VisibleLayers" config:type="base64Binary">//////////////////////////////////////////8=</config:config-item>
     <config:config-item config:name="PrintableLayers" config:type="base64Binary">//////////////////////////////////////////8=</config:config-item>
     <config:config-item config:name="LockedLayers" config:type="base64Binary"/>
     <config:config-item config:name="NoAttribs" config:type="boolean">false</config:config-item>
     <config:config-item config:name="NoColors" config:type="boolean">true</config:config-item>
     <config:config-item config:name="RulerIsVisible" config:type="boolean">true</config:config-item>
     <config:config-item config:name="PageKind" config:type="short">0</config:config-item>
     <config:config-item config:name="SelectedPage" config:type="short">0</config:config-item>
     <config:config-item config:name="IsLayerMode" config:type="boolean">true</config:config-item>
     <config:config-item config:name="IsBigHandles" config:type="boolean">true</config:config-item>
     <config:config-item config:name="IsDoubleClickTextEdit" config:type="boolean">true</config:config-item>
     <config:config-item config:name="IsClickChangeRotation" config:type="boolean">false</config:config-item>
     <config:config-item config:name="SlidesPerRow" config:type="short">4</config:config-item>
     <config:config-item config:name="EditModeStandard" config:type="int">0</config:config-item>
     <config:config-item config:name="EditModeNotes" config:type="int">0</config:config-item>
     <config:config-item config:name="EditModeHandout" config:type="int">1</config:config-item>
     <config:config-item config:name="VisibleAreaTop" config:type="int">-447</config:config-item>
     <config:config-item config:name="VisibleAreaLeft" config:type="int">-8236</config:config-item>
     <config:config-item config:name="VisibleAreaWidth" config:type="int">37937</config:config-item>
     <config:config-item config:name="VisibleAreaHeight" config:type="int">30968</config:config-item>
     <config:config-item config:name="GridCoarseWidth" config:type="int">1000</config:config-item>
     <config:config-item config:name="GridCoarseHeight" config:type="int">1000</config:config-item>
     <config:config-item config:name="GridFineWidth" config:type="int">100</config:config-item>
     <config:config-item config:name="GridFineHeight" config:type="int">100</config:config-item>
     <config:config-item config:name="GridSnapWidthXNumerator" config:type="int">100</config:config-item>
     <config:config-item config:name="GridSnapWidthXDenominator" config:type="int">1</config:config-item>
     <config:config-item config:name="GridSnapWidthYNumerator" config:type="int">100</config:config-item>
     <config:config-item config:name="GridSnapWidthYDenominator" config:type="int">1</config:config-item>
     <config:config-item config:name="IsAngleSnapEnabled" config:type="boolean">false</config:config-item>
     <config:config-item config:name="SnapAngle" config:type="int">1500</config:config-item>
     <config:config-item config:name="ZoomOnPage" config:type="boolean">true</config:config-item>
    </config:config-item-map-entry>
   </config:config-item-map-indexed>
  </config:config-item-set>
  <config:config-item-set config:name="ooo:configuration-settings">
   <config:config-item config:name="ApplyUserData" config:type="boolean">true</config:config-item>
   <config:config-item config:name="BitmapTableURL" config:type="string">$(user)/config/standard.sob</config:config-item>
   <config:config-item config:name="CharacterCompressionType" config:type="short">0</config:config-item>
   <config:config-item config:name="ColorTableURL" config:type="string">$(user)/config/standard.soc</config:config-item>
   <config:config-item config:name="DashTableURL" config:type="string">$(user)/config/standard.sod</config:config-item>
   <config:config-item config:name="DefaultTabStop" config:type="int">1250</config:config-item>
   <config:config-item config:name="GradientTableURL" config:type="string">$(user)/config/standard.sog</config:config-item>
   <config:config-item config:name="HatchTableURL" config:type="string">$(user)/config/standard.soh</config:config-item>
   <config:config-item config:name="IsKernAsianPunctuation" config:type="boolean">false</config:config-item>
   <config:config-item config:name="IsPrintBooklet" config:type="boolean">false</config:config-item>
   <config:config-item config:name="IsPrintBookletBack" config:type="boolean">true</config:config-item>
   <config:config-item config:name="IsPrintBookletFront" config:type="boolean">true</config:config-item>
   <config:config-item config:name="IsPrintDate" config:type="boolean">false</config:config-item>
   <config:config-item config:name="IsPrintFitPage" config:type="boolean">false</config:config-item>
   <config:config-item config:name="IsPrintHiddenPages" config:type="boolean">true</config:config-item>
   <config:config-item config:name="IsPrintPageName" config:type="boolean">false</config:config-item>
   <config:config-item config:name="IsPrintTilePage" config:type="boolean">false</config:config-item>
   <config:config-item config:name="IsPrintTime" config:type="boolean">false</config:config-item>
   <config:config-item config:name="LineEndTableURL" config:type="string">$(user)/config/standard.soe</config:config-item>
   <config:config-item config:name="LoadReadonly" config:type="boolean">false</config:config-item>
   <config:config-item config:name="MeasureUnit" config:type="short">3</config:config-item>
   <config:config-item config:name="PageNumberFormat" config:type="int">4</config:config-item>
   <config:config-item config:name="ParagraphSummation" config:type="boolean">false</config:config-item>
   <config:config-item config:name="PrintQuality" config:type="int">0</config:config-item>
   <config:config-item config:name="PrinterIndependentLayout" config:type="string">low-resolution</config:config-item>
   <config:config-item config:name="PrinterName" config:type="string"/>
   <config:config-item config:name="PrinterSetup" config:type="base64Binary"/>
   <config:config-item config:name="SaveVersionOnClose" config:type="boolean">false</config:config-item>
   <config:config-item config:name="ScaleDenominator" config:type="int">1</config:config-item>
   <config:config-item config:name="ScaleNumerator" config:type="int">1</config:config-item>
   <config:config-item config:name="UpdateFromTemplate" config:type="boolean">true</config:config-item>
  </config:config-item-set>
 </office:settings>
 <office:scripts>
  <office:script script:language="ooo:Basic">
   <ooo:libraries xmlns:ooo="http://openoffice.org/2004/office" xmlns:xlink="http://www.w3.org/1999/xlink"/>
  </office:script>
 </office:scripts>
 <office:styles>
  <draw:marker draw:name="Arrow" svg:viewBox="0 0 20 30" svg:d="m10 0-10 30h20z"/>
  <style:default-style style:family="graphic">
   <style:graphic-properties fo:wrap-option="no-wrap"/>
   <style:paragraph-properties style:text-autospace="ideograph-alpha" style:punctuation-wrap="simple" style:line-break="strict" style:writing-mode="lr-tb" style:font-independent-line-spacing="false">
    <style:tab-stops/>
   </style:paragraph-properties>
   <style:text-properties style:use-window-font-color="true" fo:font-family="&apos;Times New Roman&apos;" style:font-family-generic="roman" style:font-pitch="variable" fo:font-size="24pt" fo:language="en" fo:country="GB" style:font-family-asian="&apos;Arial Unicode MS&apos;" style:font-family-generic-asian="system" style:font-pitch-asian="variable" style:font-size-asian="24pt" style:language-asian="zh" style:country-asian="CN" style:font-family-complex="Tahoma" style:font-family-generic-complex="system" style:font-pitch-complex="variable" style:font-size-complex="24pt" style:language-complex="hi" style:country-complex="IN"/>
  </style:default-style>
  <style:style style:name="standard" style:family="graphic">
   <style:graphic-properties draw:stroke="solid" svg:stroke-width="0cm" svg:stroke-color="#808080" draw:marker-start-width="0.2cm" draw:marker-start-center="false" draw:marker-end-width="0.2cm" draw:marker-end-center="false" draw:fill="solid" draw:fill-color="#cfe7e5" draw:textarea-horizontal-align="justify" fo:padding-top="0.125cm" fo:padding-bottom="0.125cm" fo:padding-left="0.25cm" fo:padding-right="0.25cm" draw:shadow="hidden" draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm" draw:shadow-color="#808080">
    <text:list-style style:name="standard">
     <text:list-level-style-bullet text:level="1" text:bullet-char="●">
      <style:list-level-properties text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="2" text:bullet-char="●">
      <style:list-level-properties text:space-before="0.6cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="3" text:bullet-char="●">
      <style:list-level-properties text:space-before="1.2cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="4" text:bullet-char="●">
      <style:list-level-properties text:space-before="1.8cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="5" text:bullet-char="●">
      <style:list-level-properties text:space-before="2.4cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="6" text:bullet-char="●">
      <style:list-level-properties text:space-before="3cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="7" text:bullet-char="●">
      <style:list-level-properties text:space-before="3.6cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="8" text:bullet-char="●">
      <style:list-level-properties text:space-before="4.2cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="9" text:bullet-char="●">
      <style:list-level-properties text:space-before="4.8cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
     <text:list-level-style-bullet text:level="10" text:bullet-char="●">
      <style:list-level-properties text:space-before="5.4cm" text:min-label-width="0.6cm"/>
      <style:text-properties fo:font-family="StarSymbol" style:use-window-font-color="true" fo:font-size="45%"/>
     </text:list-level-style-bullet>
    </text:list-style>
   </style:graphic-properties>
   <style:paragraph-properties fo:margin-left="0cm" fo:margin-right="0cm" fo:margin-top="0cm" fo:margin-bottom="0cm" fo:line-height="100%" fo:text-indent="0cm"/>
   <style:text-properties style:use-window-font-color="true" style:text-outline="false" style:text-line-through-style="none" fo:font-family="Arial" style:font-family-generic="roman" style:font-pitch="variable" fo:font-size="18pt" fo:font-style="normal" fo:text-shadow="none" style:text-underline-style="none" fo:font-weight="normal" style:letter-kerning="true" style:font-family-asian="&apos;Arial Unicode MS&apos;" style:font-family-generic-asian="system" style:font-pitch-asian="variable" style:font-size-asian="18pt" style:font-style-asian="normal" style:font-weight-asian="normal" style:font-family-complex="Mangal" style:font-family-generic-complex="system" style:font-pitch-complex="variable" style:font-size-complex="18pt" style:font-style-complex="normal" style:font-weight-complex="normal" style:text-emphasize="none" style:font-relief="none" style:text-overline-style="none" style:text-overline-color="font-color"/>
  </style:style>
  <style:style style:name="objectwitharrow" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="solid" svg:stroke-width="0.15cm" svg:stroke-color="#000000" draw:marker-start="Arrow" draw:marker-start-width="0.7cm" draw:marker-start-center="true" draw:marker-end-width="0.3cm"/>
  </style:style>
  <style:style style:name="objectwithshadow" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:shadow="visible" draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm" draw:shadow-color="#808080"/>
  </style:style>
  <style:style style:name="objectwithoutfill" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties svg:stroke-color="#000000" draw:fill="none"/>
  </style:style>
  <style:style style:name="text" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
  </style:style>
  <style:style style:name="textbody" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
   <style:text-properties fo:font-size="16pt"/>
  </style:style>
  <style:style style:name="textbodyjustfied" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
   <style:paragraph-properties fo:text-align="justify"/>
  </style:style>
  <style:style style:name="textbodyindent" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
   <style:paragraph-properties fo:margin-left="0cm" fo:margin-right="0cm" fo:text-indent="0.6cm"/>
  </style:style>
  <style:style style:name="title" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
   <style:text-properties fo:font-size="44pt"/>
  </style:style>
  <style:style style:name="title1" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="solid" draw:fill-color="#008080" draw:shadow="visible" draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm" draw:shadow-color="#808080"/>
   <style:paragraph-properties fo:text-align="center"/>
   <style:text-properties fo:font-size="24pt"/>
  </style:style>
  <style:style style:name="title2" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties svg:stroke-width="0.05cm" draw:fill-color="#ffcc99" draw:shadow="visible" draw:shadow-offset-x="0.2cm" draw:shadow-offset-y="0.2cm" draw:shadow-color="#808080"/>
   <style:paragraph-properties fo:margin-left="0cm" fo:margin-right="0.2cm" fo:margin-top="0.1cm" fo:margin-bottom="0.1cm" fo:text-align="center" fo:text-indent="0cm"/>
   <style:text-properties fo:font-size="36pt"/>
  </style:style>
  <style:style style:name="headline" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
   <style:paragraph-properties fo:margin-top="0.42cm" fo:margin-bottom="0.21cm"/>
   <style:text-properties fo:font-size="24pt"/>
  </style:style>
  <style:style style:name="headline1" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
   <style:paragraph-properties fo:margin-top="0.42cm" fo:margin-bottom="0.21cm"/>
   <style:text-properties fo:font-size="18pt" fo:font-weight="bold"/>
  </style:style>
  <style:style style:name="headline2" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="none" draw:fill="none"/>
   <style:paragraph-properties fo:margin-top="0.42cm" fo:margin-bottom="0.21cm"/>
   <style:text-properties fo:font-size="14pt" fo:font-style="italic" fo:font-weight="bold"/>
  </style:style>
  <style:style style:name="measure" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:stroke="solid" svg:stroke-color="#000000" draw:marker-start="Arrow" draw:marker-start-width="0.2cm" draw:marker-end="Arrow" draw:marker-end-width="0.2cm" draw:fill="none" draw:show-unit="true"/>
   <style:text-properties fo:font-size="12pt"/>
  </style:style>
 </office:styles>
 <office:automatic-styles>
  <style:page-layout style:name="PM0">
   <style:page-layout-properties fo:margin-top="1cm" fo:margin-bottom="1cm" fo:margin-left="1cm" fo:margin-right="1cm" fo:page-width="21cm" fo:page-height="29.7cm" style:print-orientation="portrait"/>
  </style:page-layout>
  <style:style style:name="dp1" style:family="drawing-page">
   <style:drawing-page-properties draw:background-size="border" draw:fill="none"/>
  </style:style>
  <style:style style:name="dp2" style:family="drawing-page"/>
  <style:style style:name="gr1" style:family="graphic" style:parent-style-name="standard">
   <style:graphic-properties draw:textarea-vertical-align="middle" draw:auto-grow-height="false" fo:min-height="0.749cm" fo:min-width="0.499cm"/>
  </style:style>
  <style:style style:name="P1" style:family="paragraph">
   <style:paragraph-properties fo:text-align="center"/>
  </style:style>
 </office:automatic-styles>
 <office:master-styles>
  <draw:layer-set>
   <draw:layer draw:name="layout"/>
   <draw:layer draw:name="background"/>
   <draw:layer draw:name="backgroundobjects"/>
   <draw:layer draw:name="controls"/>
   <draw:layer draw:name="measurelines"/>
  </draw:layer-set>
  <style:master-page style:name="Default" style:page-layout-name="PM0" draw:style-name="dp1"/>
 </office:master-styles>
 <office:body>
  <office:drawing>
   <draw:page draw:name="page1" draw:style-name="dp2" draw:master-page-name="Default">
    <draw:custom-shape draw:style-name="gr1" draw:text-style-name="P1" draw:layer="layout" svg:width="4.3cm" svg:height="3.7cm" svg:x="3.5cm" svg:y="2.3cm">
     <text:p/>
     <draw:enhanced-geometry svg:viewBox="0 0 21600 21600" draw:text-areas="6722 8256 14878 15460" draw:type="star5" draw:enhanced-path="M 10797 0 L 8278 8256 0 8256 6722 13405 4198 21600 10797 16580 17401 21600 14878 13405 21600 8256 13321 8256 10797 0 Z N"/>
    </draw:custom-shape>
   </draw:page>
  </office:drawing>
 </office:body>
</office:document>
Comment 31 inpost 2011-09-19 07:28:57 UTC
Created attachment 51334 [details]
picture of maths editor
Comment 32 inpost 2011-09-19 07:30:46 UTC
Created attachment 51335 [details]
document created in m$
Comment 33 Rainer Bielefeld Retired 2011-09-19 08:25:25 UTC
Closing again because reporter's LibO version for latest sample with useless copied contents in Comment 30 is "LibreOffice/3.4$Win32 LibreOffice_project/340m1$Build-103", what means 3.4.1. As I explicitly wrote in Comment 28 that version is affected by the bug :-(

Closed again, REOPEN was INVALID

@inpost:
Please excuse me for my rude words, but: do not post any more reports or comments, they are completely useless because you do not follow any advice. You are violating our bug tracking system and wasting our time.
Comment 34 inpost 2011-09-19 08:58:07 UTC
Mr/Ms Bielefeld does not have the credibility.

Comment 4 claims the original file was "self-created".

Comment 23 contradicts comment 26

Comment 28 states that the bug is fixed by changing the mime type. What is the source of the wrong mime type??? Are users really expected to change manually the mime type??? It is also claimed that the version is "doubtful", even though this information in included in the xml.

The issue of xml filters was discussed previously in the mailing list.

The behaviour suggests there is a difference between linux/mac and m$
Comment 35 inpost 2011-09-20 08:34:25 UTC
Seems related to bug 37178 (https://bugs.freedesktop.org/show_bug.cgi?id=37178)
Comment 36 Rainer Bielefeld Retired 2011-09-20 10:10:00 UTC
*** Bug 37178 has been marked as a duplicate of this bug. ***
Comment 37 inpost 2011-09-21 04:02:21 UTC
Please give an indication how long it will take to change the mime-type declaration and which version of LO is expected to be included.
Comment 38 Alex Thurgood 2011-09-21 06:32:23 UTC
(In reply to comment #37)
> Please give an indication how long it will take to change the mime-type
> declaration and which version of LO is expected to be included.

The file you posted was made with LibreOffice 3.4.1.
That version apparently had the bug in it.
Ugrade your version of LibreOffice to the most recent 3.4, i.e. 3.4.3.
Any new Flat ODG files should now be saved correctly.


How exactly do you expect LibreOffice to be able to automagically correct the files which have the wrong mimetype ? This simply will not happen (or at least I am unaware of any magic that will). If you want to correct the errors in your existing files, then you will have to correct them all by hand according to the hints given by Rainer.

What will be done for the future, and _possibly_ backported to LibO 3.4.4, is the correction that Rainer has indicated so that any new Flat ODG files written with 3.4.4 will have the correct mimetype. I say possibly backported to 3.4.4 because that decision is for the developers to decide. Look at the release page to see when the next versions of LibO are expected to be released :


http://wiki.documentfoundation.org/ReleasePlan


Alex
Comment 39 Alex Thurgood 2011-09-21 06:38:28 UTC
(In reply to comment #37)
> Please give an indication how long it will take to change the mime-type
> declaration and which version of LO is expected to be included.

In fact, further to my previous comment, Rainer indicates that it has already been fixed, so just upgrade to 3.4.3. Of course, this will probably not correct any files that have the erroneous mimetype in them, which you will have to do yourself.


Closing as WORKSFORME.

Alex
Comment 40 inpost 2011-09-21 08:40:43 UTC
(In reply to comment #38)
> The file you posted was made with LibreOffice 3.4.1.
> That version apparently had the bug in it.
> Ugrade your version of LibreOffice to the most recent 3.4, i.e. 3.4.3.
> Any new Flat ODG files should now be saved correctly.
> 
> 
> How exactly do you expect LibreOffice to be able to automagically correct the
> files which have the wrong mimetype ? This simply will not happen (or at least
> I am unaware of any magic that will). If you want to correct the errors in your
> existing files, then you will have to correct them all by hand according to the
> hints given by Rainer.
>

Cannot see the request for retrospective correction.
 
> What will be done for the future, and _possibly_ backported to LibO 3.4.4, is
> the correction that Rainer has indicated so that any new Flat ODG files written
> with 3.4.4 will have the correct mimetype. I say possibly backported to 3.4.4
> because that decision is for the developers to decide. Look at the release page
> to see when the next versions of LibO are expected to be released :
>
This is confusing; it is stated that upgrade should be performed to 343, but then only possibly fixed in version 344. Excuse my ignorance of the term "backport", to be clear:

In versions 341 and 342, this bug occurs?

In version 343 this bug will not occur?

In version 344 this bug will not occur?
Comment 41 Alex Thurgood 2011-09-21 09:53:27 UTC
Removed target as it is irrelevant here.
Comment 42 Alex Thurgood 2011-09-21 10:03:30 UTC
(In reply to comment #40)


> >
> This is confusing; it is stated that upgrade should be performed to 343, but
> then only possibly fixed in version 344. Excuse my ignorance of the term
> "backport", to be clear:
> 
> In versions 341 and 342, this bug occurs?

I quote Rainer :
"That mimetype bug was in 3.4.0 ... 3.4.2 (AFAIK for all OS, and so I doubt that
reporter's Version info is correct) and has been fixed"

> 
> In version 343 this bug will not occur?

No.


> 
> In version 344 this bug will not occur?

You can ignore my comment #39 about the fixing for 3.4.4, I made that before checking (on Mac OSX) that the problem did not occur in 3.4.3. The problem shouldn't appear in 3.4.4 or 3.4.5 either, but it might, who knows, the source code gets modified everyday and little things like this can occur.

You can reopen the bug as many times as you want, but no one will do anything about it unless you can show that the bug also occurs with a fresh file in 3.4.3 on your OS/arch.


Alex
Comment 43 Alex Thurgood 2011-09-21 10:08:04 UTC
BTW, I have also checked in the daily build from master (future LibreOffice 3.5), on Mac OSX, and I can save a flat xml drawing file and re-open it again without any problems.

Alex
Comment 44 inpost 2011-09-21 16:00:44 UTC
This dual version seems confusing. Just tested this scenario using 334 and bug does not occur.

Assuming 34 is later than 33, why would the programmers change the mime type?

Personally, would prefer that the web site shows only 33 as stable for general use, with a separate page for 34, 35, etc. for those interested in testing.